Page MenuHomePhabricator

Option to patrol changes to translated pages is offered but gives error
Closed, ResolvedPublic

Description

Hi,

I seem to get error when patrolling pages on Wikidata (don't know sure if this also applies to Meta), which are using the Translate extension. If I click on "mark as patrolled" for example on https://www.wikidata.org/w/index.php?diff=463241&oldid=463230&rcid=460677 I get the following error:

You do not have permission to mark others' edit as patrolled, for the following reason:

This page cannot be updated manually. This page is a translation of page Wikidata:Introduction and the translation can be updated using the translation tool.

--Wiki13


Version: unspecified
Severity: normal
URL: https://meta.wikimedia.org/w/index.php?title=Meta_talk:Babylon&oldid=4563615#Admins_can.27t_mark_pages_as_patrolled
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60334

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:09 AM
bzimport set Reference to bz42162.
bzimport added a subscriber: Unknown Object (MLST).
Wiki13 created this task.Nov 15 2012, 8:39 PM

I could add patrol to whitelist but it would be redundant with translation review feature.

I think it's completely meaningless to patrol changes to translation pages: one can and should patrol only (at most) changes to translation units; see discussion on Meta.
The simplest solution would be to disable new page/RC patrol for translation pages in the least intrusive way possible. A more complex (impossible?) solution would be to connect the translation pages revisions to their translation units equivalents so that patrolling one makes the other patrolled as well (in one or both directions): I doubt this is worth it.
The interaction with translation review is up to the wiki, I think, just as with patrolling vs. flagged revisions.

(In reply to comment #1)

I could add patrol to whitelist but it would be redundant with translation
review feature.

IMO the main issue isn't that people want a way to review the translations, it's that these edits will still show up when you hit "hide patrolled", and there is no way to get rid of them.

No matter how you decide, there should be no link that does not work.

(In reply to comment #4)

No matter how you decide, there should be no link that does not work.

True. That should be filed as core bug I think; before it was removed completely, the revision patrolling button at the bottom of pages showed up also when patrolling was not possible, so probably the logic in core has some faults.

Just for the record:
When clicking [Mark as patrolled]

Request:
POST https://commons.wikimedia.org/w/api.php
action patrol
format json
rcid 100039614
token ---

Response:
{"servedby":"mw1144","error":{"code":"unknownerror","info":"Unknown error: \"tpt-target-page\""}}

The bubble-notification only says "Marking as patrolled failed." and the change is marked with a red "!" in the watchlist.

hoo added a comment.Jun 29 2013, 2:26 PM

Solution would probably be to use the TitleQuickPermissions hook and disallow patrolling for translate titles with.

Alternative would be to introduce a new hook in the article class to only hide the links.

gerritbot added a subscriber: gerritbot.

Change 185101 had a related patch set uploaded (by NoahM):
Prevent patrol footer from appearing on translation pages

https://gerrit.wikimedia.org/r/185101

Patch-For-Review

Change 185101 merged by jenkins-bot:
Prevent patrol footer from appearing on translation pages

https://gerrit.wikimedia.org/r/185101

Nemo_bis closed this task as Resolved.Jan 23 2015, 9:19 PM
Nemo_bis assigned this task to noahm.
Nemo_bis set Security to None.
Nemo_bis added a subscriber: KartikMistry.

Hopefully fixed. Thank you very much, noahm! Kartik, please remember to mention this in MLEB release notes.